/*
 * memmap.h
 *
 * Copyright (C) 2004-2005 Atmark Techno, Inc.
 *
 * Yasushi SHOJI <yashi@atmark-techno.com>
 *
 */

#include <xparameters.h>

/*
 * SUZAKU-V has SDRAM-EMC core to support combined bus.  I'm not sure
 * what we'll do once we get 32bit version suzaku-v. We'll see.
 */
#ifdef XPAR_SDRAM_EMC_CONTROLLER_HIGHADDR
#define BBOOT_LOAD_ADDRESS (XPAR_SDRAM_EMC_CONTROLLER_HIGHADDR - 0xFFFFF)
#define FLASH_START        (XPAR_SDRAM_EMC_CONTROLLER_MEM1_BASEADDR)
#else /* !XPAR_SDRAM_EMC_CONTROLLER_HIGHADDR */
#define BBOOT_LOAD_ADDRESS (XPAR_SDRAM_CONTROLLER_HIGHADDR - 0xFFFFF)
#define FLASH_START        (XPAR_SYSTEM_MEMCON_MEM1_BASEADDR)
#endif /* XPAR_SDRAM_EMC_CONTROLLER_HIGHADDR */

#define SYSTEM_REGISTER_BASEADDR        (XPAR_OPB_GPIO_0_BASEADDR)
#define SYSTEM_REGISTER_RECONFIGURE     (1 << 0)
#define SYSTEM_REGISTER_COMPATIBLE_MODE (1 << 1)
#define SYSTEM_REGISTER_BOOT_MODE       (1 << 2)
